"{ Package: 'stx:libwidg2' }"

"{ NameSpace: Smalltalk }"

TextBox subclass:#TextCollectorBox
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Views-DialogBoxes'
!

!TextCollectorBox class methodsFor:'documentation'!

documentation
"
    has a textcollector as textview
"
!

examples
"
  Example (using ok-action callBack):
                                                                        [exBegin]
    |textBox|

    textBox := TextCollectorBox new.
    textBox title:'text coming...'.
    [
        10 timesRepeat:[
            textBox textView showCR:'hello'.
            Delay waitForSeconds:1.
        ].
    ] fork.        
    textBox showAtPointer.
                                                                        [exEnd]
"
! !

!TextCollectorBox methodsFor:'initialization'!

initialize
    textViewClass := TextCollector.
    super initialize

    "Created: / 04-11-2018 / 20:43:12 / Claus Gittinger"
! !

!TextCollectorBox class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

